Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMPDRP.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMPDRP.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMPDRP.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMPDRP ;SLC/AGP,PKR - Patient List Demographic report print routine ;11/16/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMPDRP ;SLC/AGP,PKR - Patient List Demographic report print routine ;06/20/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
 ADDTXT(TEXT) ;Accumulate text in ^TMP.
@@ -7,34 +7,34 @@
  Q
  ;
-APPHDR(DC,DDATA,SUB) ;Build the appointment header.
- I DDATA(SUB,"LEN")'>0 Q
+APPHDR(DC,APPDATA) ;Build the appointment header.
+ I APPDATA("LEN")'>0 Q
  N HDR,IND,JND,KND,LND,TEMP
  S IND=0,HDR=""
- F IND=1:1:DDATA(SUB,"MAX") D
- . F JND=1:1:DDATA(SUB,"LEN") D
- .. S KND=$P(DDATA(SUB),",",JND)
+ F IND=1:1:APPDATA("MAX") D
+ . F JND=1:1:APPDATA("LEN") D
+ .. S KND=$P(APPDATA,",",JND)
  .. S LND=""
- .. F  S LND=$O(DDATA(SUB,KND,LND)) Q:LND=""  D
- ... S TEMP=$P(DDATA(SUB,KND,LND),U,1)
+ .. F  S LND=$O(APPDATA(KND,LND)) Q:LND=""  D
+ ... S TEMP=$P(APPDATA(KND,LND),U,1)
  ... S HDR=HDR_TEMP_IND_DC
- S DDATA(SUB,"HDR")=HDR
- Q
- ;
-APPPRINT(DFN,DDATA,SUB) ;Print appointment data.
+ S APPDATA("HDR")=HDR
+ Q
+ ;
+APPPRINT(DFN,APPDATA) ;Print appointment data.
  N CLINIC,COUNT,DATE,HDR,IND,JND,KND,LINE,PCLINIC,PDATE,TEMP
  S (PCLINIC,PDATE)=0
- F IND=1:1:DDATA(SUB,"LEN") D
- . S JND=$P(DDATA(SUB),",",IND)
+ F IND=1:1:APPDATA("LEN") D
+ . S JND=$P(APPDATA,",",IND)
  . I JND=1 S PDATE=1
  . I JND=2 S PCLINIC=1
  S HDR=""
- I PDATE S HDR=" "_$P(DDATA(SUB,1,1),U,1)
- I PCLINIC S HDR=HDR_"   "_$P(DDATA(SUB,2,2),U,1)
+ I PDATE S HDR=" "_$P(APPDATA(1,1),U,1)
+ I PCLINIC S HDR=HDR_"   "_$P(APPDATA(2,2),U,1)
  D ADDTXT(" ")
  D ADDTXT("Appointment Data")
  D ADDTXT(HDR)
  S COUNT=0
- F  S COUNT=$O(^TMP("PXRMPLD",$J,DFN,"APP",COUNT)) Q:COUNT=""  D
- . S TEMP=$G(^TMP("PXRMPLD",$J,DFN,"APP",COUNT))
+ F  S COUNT=$O(^TMP("PXRMPLD",$J,DFN,"APPDATA",COUNT)) Q:COUNT=""  D
+ . S TEMP=$G(^TMP("PXRMPLD",$J,DFN,"APPDATA",COUNT))
  . S LINE=""
  . I PDATE S LINE=LINE_$P(TEMP,U,1)
@@ -43,44 +43,43 @@
  Q
  ;
-DELIMHDR(DC,DDATA,SUB) ;Build the delimited header for a data type.
- I DDATA(SUB,"LEN")'>0 Q
+DELIMHDR(DC,DATA) ;Build the delimited header for a data type.
+ I DATA("LEN")'>0 Q
  N HDR,IND,JND,KND,LND,MAX,TEMP
  S IND=0,HDR=""
- F IND=1:1:DDATA(SUB,"LEN") D
- . S JND=$P(DDATA(SUB),",",IND)
+ F IND=1:1:DATA("LEN") D
+ . S JND=$P(DATA,",",IND)
  . S KND=""
- . F  S KND=$O(DDATA(SUB,JND,KND)) Q:KND=""  D
- .. S TEMP=$P(DDATA(SUB,JND,KND),U,1)
- .. S MAX=$P(DDATA(SUB,JND,KND),U,3)
+ . F  S KND=$O(DATA(JND,KND)) Q:KND=""  D
+ .. S TEMP=$P(DATA(JND,KND),U,1)
+ .. S MAX=$P(DATA(JND,KND),U,3)
  .. I MAX="" S HDR=HDR_TEMP_DC
  .. I +MAX>0 F LND=1:1:MAX S HDR=HDR_TEMP_LND_DC
- S DDATA(SUB,"HDR")=HDR
- Q
- ;
-DELIMPR(DC,PLIEN,DDATA) ;
+ S DATA("HDR")=HDR
+ Q
+ ;
+DELIMPR(DC,PLIEN,ADDDATA,APPDATA,DEMDATA,FINDDATA,INPDATA,PFACDATA,REMDATA) ;
  ;Print the delimited report.
  N DATALIST,DFN,IND,NDT,PNAME
  S NDT=0
- I DDATA("ADD","LEN")>0 S NDT=NDT+1,DATALIST(NDT)="ADD"
- I DDATA("APP","LEN")>0 S NDT=NDT+1,DATALIST(NDT)="APP"
- I DDATA("DEM","LEN")>0 S NDT=NDT+1,DATALIST(NDT)="DEM"
- I DDATA("ELIG","LEN")>0 S NDT=NDT+1,DATALIST(NDT)="ELIG"
- I DDATA("FIND","LEN")>0 S NDT=NDT+1,DATALIST(NDT)="FIND"
- I DDATA("INP","LEN")>0 S NDT=NDT+1,DATALIST(NDT)="INP"
- I DDATA("PFAC","LEN")>0 S NDT=NDT+1,DATALIST(NDT)="PFAC"
- I DDATA("REM","LEN")>0 S NDT=NDT+1,DATALIST(NDT)="REM"
- S DATALIST(0)=NDT
+ I ADDDATA("LEN")>0 S NDT=NDT+1,DATALIST(NDT)="ADDDATA"
+ I APPDATA("LEN")>0 S NDT=NDT+1,DATALIST(NDT)="APPDATA"
+ I DEMDATA("LEN")>0 S NDT=NDT+1,DATALIST(NDT)="DEMDATA"
+ I ELIGDATA("LEN")>0 S NDT=NDT+1,DATALIST(NDT)="ELIGDATA"
+ I FINDDATA("LEN")>0 S NDT=NDT+1,DATALIST(NDT)="FINDDATA"
+ I INPDATA("LEN")>0 S NDT=NDT+1,DATALIST(NDT)="INPDATA"
+ I PFACDATA("LEN")>0 S NDT=NDT+1,DATALIST(NDT)="PFACDATA"
+ I REMDATA("LEN")>0 S NDT=NDT+1,DATALIST(NDT)="REMDATA"
  D TITLE(PLIEN,1)
- ;Create the delimited header.
+ ;Output the delimited header.
  F IND=1:1:NDT D
- . I DATALIST(IND)="ADD" D DELIMHDR(DC,.DDATA,"ADD") Q
- . I DATALIST(IND)="APP" D APPHDR(DC,.DDATA,"APP") Q
- . I DATALIST(IND)="DEM" D DELIMHDR(DC,.DDATA,"DEM") Q
- . I DATALIST(IND)="ELIG" D DELIMHDR(DC,.DDATA,"ELIG") Q
- . I DATALIST(IND)="FIND" D DELIMHDR(DC,.DDATA,"FIND") Q
- . I DATALIST(IND)="INP" D DELIMHDR(DC,.DDATA,"INP") Q
- . I DATALIST(IND)="PFAC" D PFACHDR(.DDATA,"PFAC")
- . I DATALIST(IND)="REM" D REMHDR(DC,.DDATA,"REM") Q
- D DELTITLE(DC,.DATALIST,.DDATA)
+ . I DATALIST(IND)="ADDDATA" D DELIMHDR(DC,.ADDDATA) Q
+ . I DATALIST(IND)="APPDATA" D APPHDR(DC,.APPDATA) Q
+ . I DATALIST(IND)="DEMDATA" D DELIMHDR(DC,.DEMDATA) Q
+ . I DATALIST(IND)="ELIGDATA" D DELIMHDR(DC,.ELIGDATA) Q
+ . I DATALIST(IND)="FINDDATA" D DELIMHDR(DC,.FINDDATA) Q
+ . I DATALIST(IND)="INPDATA" D DELIMHDR(DC,.INPDATA) Q
+ . I DATALIST(IND)="PFACDATA" D PFACHDR(.PFACDATA)
+ . I DATALIST(IND)="REMDATA" D REMHDR(DC,.REMDATA) Q
+ D DELTITLE(DC,.ADDDATA,.APPDATA,.DEMDATA,.FINDDATA,.INPDATA,.PFACDATA,.REMDATA)
  S PNAME=":"
  F  S PNAME=$O(^TMP("PXRMPLN",$J,PNAME)) Q:PNAME=""  D
@@ -89,32 +88,39 @@
  .. W !,PNAME_DC
  .. F IND=1:1:NDT D
- ... I DATALIST(IND)="ADD" D PDELDATA(DFN,DC,DATALIST(IND),.DDATA,"ADD") Q
- ... I DATALIST(IND)="APP" D PAPPDATA(DFN,DC,.DDATA,"APP") Q
- ... I DATALIST(IND)="DEM" D PDELDATA(DFN,DC,DATALIST(IND),.DDATA,"DEM") Q
- ... I DATALIST(IND)="ELIG" D PDELDATA(DFN,DC,DATALIST(IND),.DDATA,"ELIG") Q
- ... I DATALIST(IND)="FIND" D PFINDATA(DFN,DC,.DDATA,"FIND") Q
- ... I DATALIST(IND)="INP" D PDELDATA(DFN,DC,DATALIST(IND),.DDATA,"INP") Q
- ... I DATALIST(IND)="PFAC" D PFACDATA(DFN,.DDATA,"PFAC") Q
- ... I DATALIST(IND)="REM" D PREMDATA(DFN,DC,.DDATA,"REM") Q
+ ... I DATALIST(IND)="ADDDATA" D PDELDATA(DFN,DC,DATALIST(IND),.ADDDATA) Q
+ ... I DATALIST(IND)="APPDATA" D PAPPDATA(DFN,DC,.APPDATA) Q
+ ... I DATALIST(IND)="DEMDATA" D PDELDATA(DFN,DC,DATALIST(IND),.DEMDATA) Q
+ ... I DATALIST(IND)="ELIGDATA" D PDELDATA(DFN,DC,DATALIST(IND),.ELIGDATA) Q
+ ... I DATALIST(IND)="FINDDATA" D PFINDATA(DFN,DC,.FINDDATA) Q
+ ... I DATALIST(IND)="INPDATA" D PDELDATA(DFN,DC,DATALIST(IND),.INPDATA) Q
+ ... I DATALIST(IND)="PFACDATA" D PFACDATA(DFN,.PFACDATA) Q
+ ... I DATALIST(IND)="REMDATA" D PREMDATA(DFN,DC,.REMDATA) Q
  .. W "\\"
  Q
  ;
-DELTITLE(DC,DATALIST,DDATA) ;Combine all the headers to create the delimited title.
+DELTITLE(DC,ADDDATA,APPDATA,DEMDATA,FINDDATA,INPDATA,PFACDATA,REMDATA) ;Combine
+ ;all the headers to create the delimited title.
  W !,"PATIENT"_DC
- N IND
- F IND=1:1:DATALIST(0) W DDATA(DATALIST(IND),"HDR")
+ W $G(ADDDATA("HDR"))
+ W $G(APPDATA("HDR"))
+ W $G(DEMDATA("HDR"))
+ W $G(ELIGDATA("HDR"))
+ W $G(FINDDATA("HDR"))
+ W $G(INPDATA("HDR"))
+ W $G(PFACDATA("HDR"))
+ W $G(REMDATA("HDR"))
  W "\\"
  Q
  ;
-FINDPR(DFN,DDATA,SUB) ;Print finding information.
+FINDPR(DFN,FINDDATA) ;Print finding information.
  N IND,JND,LINE,TEMP
  D ADDTXT(" ")
  S LINE="Finding Data"
  D ADDTXT(LINE)
- F IND=1:1:DDATA(SUB,"LEN") D
- . S JND=$P(DDATA(SUB),",",IND)
- . S TEMP=$G(^TMP("PXRMPLD",$J,DFN,"FIND",JND))
+ F IND=1:1:FINDDATA("LEN") D
+ . S JND=$P(FINDDATA,",",IND)
+ . S TEMP=$G(^TMP("PXRMPLD",$J,DFN,"FINDDATA",JND))
  . I TEMP="" Q
- . S LINE=" "_$P(DDATA(SUB,JND,JND),U,1)_": "_TEMP
+ . S LINE=" "_$P(FINDDATA(JND,JND),U,1)_": "_TEMP
  . D ADDTXT(LINE)
  Q
@@ -134,5 +140,5 @@
  ;
 PAGE ;
- I ($E(IOST,1,2)="C-")&(IO=IO(0)) D
+ I ($E(IOST)="C")&(IO=IO(0)) D
  . N DIR
  . S DIR(0)="E"
@@ -141,31 +147,32 @@
  I $D(DUOUT)!$D(DTOUT) Q
  W:$D(IOF) @IOF
- I ($E(IOST,1,2)="C-")&(IO=IO(0)) W @IOF
- Q
- ;
-PAPPDATA(DFN,DC,DDATA,SUB) ;Print the delimited appointment data.
+ I $E(IOST)="C",IO=IO(0) W @IOF
+ Q
+ ;
+PAPPDATA(DFN,DC,APPDATA) ;Print the delimited appointment data.
  N IND,JND,KND,LINE,LND,PIECE,TEMP
- I DDATA(SUB,"LEN")'>0 Q
+ I APPDATA("LEN")'>0 Q
  S LINE=""
- F IND=1:1:DDATA(SUB,"MAX") D
- . S TEMP=$G(^TMP("PXRMPLD",$J,DFN,"APP",IND))
- . F JND=1:1:DDATA(SUB,"LEN") D
- .. S KND=$P(DDATA(SUB),",",JND)
+ F IND=1:1:APPDATA("MAX") D
+ . S TEMP=$G(^TMP("PXRMPLD",$J,DFN,"APPDATA",IND))
+ . F JND=1:1:APPDATA("LEN") D
+ .. S KND=$P(APPDATA,",",JND)
  .. S LND=""
- .. F  S LND=$O(DDATA(SUB,KND,LND)) Q:LND=""  D
- ... S PIECE=$P(DDATA(SUB,KND,KND),U,2)
+ .. F  S LND=$O(APPDATA(KND,LND)) Q:LND=""  D
+ ... S PIECE=$P(APPDATA(KND,KND),U,2)
  ... S LINE=LINE_$P(TEMP,U,PIECE)_DC
  W LINE
  Q
  ;
-PDELDATA(DFN,DC,DTYPE,DDATA,SUB) ;Print the delimited data.
+PDELDATA(DFN,DC,DTYPE,DATA) ;Print the delimited data.
  N IND,JND,KND,LINE,LND,TEMP,TTEMP
+ I DATA("LEN")'>0 Q
  S TEMP=$G(^TMP("PXRMPLD",$J,DFN,DTYPE))
  S LINE=""
- F IND=1:1:DDATA(DTYPE,"LEN") D
- . S JND=$P(DDATA(DTYPE),",",IND)
+ F IND=1:1:DATA("LEN") D
+ . S JND=$P(DATA,",",IND)
  . S KND=""
- . F  S KND=$O(DDATA(DTYPE,JND,KND)) Q:KND=""  D
- .. S MAX=$P(DDATA(DTYPE,JND,KND),U,3)
+ . F  S KND=$O(DATA(JND,KND)) Q:KND=""  D
+ .. S MAX=$P(DATA(JND,KND),U,3)
  .. I MAX="" S LINE=LINE_$P(TEMP,U,KND)_DC Q
  .. I +MAX>1 S TTEMP=$P(TEMP,U,KND) F LND=1:1:MAX S LINE=LINE_$P(TTEMP,"~",LND)_DC
@@ -173,43 +180,43 @@
  Q
  ;
-PFACHDR(DDATA,SUB) ;Build the preferred facility header.
- I DDATA(SUB,0)=1 S DDATA(SUB,"HDR")="PATIENT'S PREFERRED FACILITY"
- Q
- ;
-PFACDATA(DFN,DDATA,SUB) ;Print the patient's preferred facility data, delimited.
- I DDATA(SUB,0)=0 Q
- W ^TMP("PXRMPLD",$J,DFN,"PFAC")
- Q
- ;
-PFACPR(DFN,DDATA,SUB) ;Print the patient's preferred facility.
- I DDATA(SUB,0)=0 Q
+PFACHDR(PFACDATA) ;Build the preferred facility header.
+ I PFACDATA(0)=1 S PFACDATA("HDR")="PATIENT'S PREFERRED FACILITY"
+ Q
+ ;
+PFACDATA(DFN,PFACDATA) ;Print the patient's preferred facility data, delimited.
+ I PFACDATA(0)=0 Q
+ W ^TMP("PXRMPLD",$J,DFN,"PFACDATA")
+ Q
+ ;
+PFACPR(DFN,PFACDATA) ;Print the patient's preferred facility.
+ I PFACDATA(0)=0 Q
  D ADDTXT("Patient's Preferred Facility")
- D ADDTXT(" "_$G(^TMP("PXRMPLD",$J,DFN,"PFAC")))
- Q
- ;
-PFINDATA(DFN,DC,DDATA,SUB) ;Print the finding data.
+ D ADDTXT(" "_$G(^TMP("PXRMPLD",$J,DFN,"PFACDATA")))
+ Q
+ ;
+PFINDATA(DFN,DC,FINDDATA) ;Print the finding data.
  N IND,JND,LINE,TEMP
- I DDATA(SUB,"LEN")'>0 Q
+ I FINDDATA("LEN")'>0 Q
  S LINE=""
- F IND=1:1:DDATA(SUB,"LEN") D
- . S JND=$P(DDATA(SUB),",",IND)
- . S TEMP=$G(^TMP("PXRMPLD",$J,DFN,"FIND",JND))
+ F IND=1:1:FINDDATA("LEN") D
+ . S JND=$P(FINDDATA,",",IND)
+ . S TEMP=$G(^TMP("PXRMPLD",$J,DFN,"FINDDATA",JND))
  . S LINE=LINE_TEMP_DC
  W LINE
  Q
  ;
-PREMDATA(DFN,DC,DDATA,SUB) ;Print the reminder data.
+PREMDATA(DFN,DC,REMDATA) ;Print the reminder data.
  N IND,JND,LINE,TEMP
- I DDATA(SUB,"LEN")'>0 Q
+ I REMDATA("LEN")'>0 Q
  S LINE=""
- F IND=1:1:DDATA(SUB,"LEN") D
- . S JND=$P(DDATA(SUB),",",IND)
- . S LINE=LINE_DDATA(SUB,"RNAME",JND)_DC
- . S TEMP=$G(^TMP("PXRMPLD",$J,DFN,"REM",DDATA(SUB,"IEN",JND)))
+ F IND=1:1:REMDATA("LEN") D
+ . S JND=$P(REMDATA,",",IND)
+ . S LINE=LINE_REMDATA("RNAME",JND)_DC
+ . S TEMP=$G(^TMP("PXRMPLD",$J,DFN,"REMDATA",REMDATA("IEN",JND)))
  . S LINE=LINE_$P(TEMP,U,2)_DC_$P(TEMP,U,3)_"^"_$P(TEMP,U,4)_DC
  W LINE
  Q
  ;
-REGPR(PLIEN,DDATA,SUB) ;
+REGPR(PLIEN,ADDDATA,APPDATA,DEMDATA,FINDDATA,INPDATA,PFACDATA,REMDATA) ;
  ;Print the regular report..
  N DATATYPE,DFN,PNAME,LINCNT
@@ -225,40 +232,40 @@
  .. S DATATYPE=""
  .. F  S DATATYPE=$O(^TMP("PXRMPLD",$J,DFN,DATATYPE)) Q:DATATYPE=""  D
- ... I DATATYPE="ADD" D VADPTPR(DFN,"Address Data",DATATYPE,.DDATA,"ADD") Q
- ... I DATATYPE="APP" D APPPRINT(DFN,.DDATA,"APP") Q
- ... I DATATYPE="DEM" D VADPTPR(DFN,"Demographic Data",DATATYPE,.DDATA,"DEM") Q
- ... I DATATYPE="ELIG" D VADPTPR(DFN,"Eligibility Data",DATATYPE,.DDATA,"ELIG") Q
- ... I DATATYPE="FIND" D FINDPR(DFN,.DDATA,"FIND") Q
- ... I DATATYPE="INP" D VADPTPR(DFN,"Inpatient Data",DATATYPE,.DDATA,"INP") Q
- ... I DATATYPE="PFAC" D PFACPR(DFN,.DDATA,"PFAC") Q
- ... I DATATYPE="REM" D REMPR(DFN,.DDATA,"REM") Q
+ ... I DATATYPE="ADDDATA" D VADPTPR(DFN,"Address Data",DATATYPE,.ADDDATA) Q
+ ... I DATATYPE="APPDATA" D APPPRINT(DFN,.APPDATA) Q
+ ... I DATATYPE="DEMDATA" D VADPTPR(DFN,"Demographic Data",DATATYPE,.DEMDATA) Q
+ ... I DATATYPE="ELIGDATA" D VADPTPR(DFN,"Eligibility Data",DATATYPE,.ELIGDATA) Q
+ ... I DATATYPE="FINDDATA" D FINDPR(DFN,.FINDDATA) Q
+ ... I DATATYPE="INPDATA" D VADPTPR(DFN,"Inpatient Data",DATATYPE,.INPDATA) Q
+ ... I DATATYPE="PFACDATA" D PFACPR(DFN,.PFACDATA) Q
+ ... I DATATYPE="REMDATA" D REMPR(DFN,.REMDATA) Q
  D OUTPUT
  K ^TMP("PXRMPDEM",$J)
  Q
  ;
-REMHDR(DC,DDATA,SUB) ;Build the reminder data delimited header.
+REMHDR(DC,REMDATA) ;Build the reminder data delimited header.
  N HDR,IND,JND
  S HDR=""
- F IND=1:1:DDATA(SUB,"LEN") D
- . S JND=$P(DDATA(SUB),",",IND)
+ F IND=1:1:REMDATA("LEN") D
+ . S JND=$P(REMDATA,",",IND)
  . S HDR=HDR_"REMINDER"_JND_DC_"STATUS"_JND_DC_"DUE DATE"_JND_DC_"LAST DONE"_JND_DC
- S DDATA(SUB,"HDR")=HDR
- Q
- ;
-REMPR(DFN,DDATA,SUB) ;Print reminder status information.
+ S REMDATA("HDR")=HDR
+ Q
+ ;
+REMPR(DFN,REMDATA) ;Print reminder status information.
  N DUE,IND,JND,LAST,LINE,NSP,STATUS,TEMP
  D ADDTXT(" ")
  S LINE="Reminder:"_$$INSCHR^PXRMEXLC(27," ")_"--STATUS--  --DUE DATE--  --LAST DONE--"
  D ADDTXT(LINE)
- F IND=1:1:DDATA(SUB,"LEN") D
- . S JND=$P(DDATA(SUB),",",IND)
- . S RIEN=DDATA(SUB,"IEN",JND)
- . S TEMP=$G(^TMP("PXRMPLD",$J,DFN,"REM",RIEN))
+ F IND=1:1:REMDATA("LEN") D
+ . S JND=$P(REMDATA,",",IND)
+ . S RIEN=REMDATA("IEN",JND)
+ . S TEMP=$G(^TMP("PXRMPLD",$J,DFN,"REMDATA",RIEN))
  . I TEMP="" Q
  . S STATUS=$P(TEMP,U,2)
  . S DUE=$P(TEMP,U,3),DUE=$$EDATE^PXRMDATE(DUE)
  . S LAST=$P(TEMP,U,4),LAST=$$EDATE^PXRMDATE(LAST)
- . S NSP=38-$L(DDATA(SUB,"RNAME",JND))
- . S LINE=DDATA(SUB,"RNAME",JND)_$$INSCHR^PXRMEXLC(NSP," ")_STATUS
+ . S NSP=38-$L(REMDATA("RNAME",JND))
+ . S LINE=REMDATA("RNAME",JND)_$$INSCHR^PXRMEXLC(NSP," ")_STATUS
  . S NSP=54-$L(LINE)-($L(DUE)/2)
  . S LINE=LINE_$$INSCHR^PXRMEXLC(NSP," ")_DUE
@@ -282,18 +289,18 @@
  Q
  ;
-VADPTPR(DFN,DNAME,DTYPE,DDATA,SUB) ;Print data returned by a VADPT call.
+VADPTPR(DFN,DNAME,DTYPE,DATA) ;Print data returned by a VADPT call.
  N IND,JND,KND,LINE,LND,MAX,TEMP,TTEMP
  D ADDTXT(" ")
  D ADDTXT(DNAME)
  S TEMP=$G(^TMP("PXRMPLD",$J,DFN,DTYPE))
- F IND=1:1:DDATA(SUB,"LEN") D
- . S JND=$P(DDATA(SUB),",",IND)
+ F IND=1:1:DATA("LEN") D
+ . S JND=$P(DATA,",",IND)
  . S KND=""
- . F  S KND=$O(DDATA(SUB,JND,KND)) Q:KND=""  D
+ . F  S KND=$O(DATA(JND,KND)) Q:KND=""  D
  .. S TTEMP=$P(TEMP,U,KND)
- .. S MAX=+$P(DDATA(SUB,JND,KND),U,3)
+ .. S MAX=+$P(DATA(JND,KND),U,3)
  .. I MAX=0 S MAX=1
  .. F LND=1:1:MAX D
- ... S LINE=" "_$P(DDATA(SUB,JND,KND),U,1)_": "_$P(TTEMP,"~",LND)
+ ... S LINE=" "_$P(DATA(JND,KND),U,1)_": "_$P(TTEMP,"~",LND)
  ... D ADDTXT(LINE)
  Q
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMPDRS.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMPDRS.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMPDRS.m	(revision 636)
@@ -1,12 +1,12 @@
-PXRMPDRS ;SLC/PKR - Patient List Demographic Report data selection. ;03/22/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMPDRS ;SLC/PKR - Patient List Demographic Report data selection. ;07/18/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
-ADDSEL(DATA,SUB) ;Let the user select the address information they want.
+ADDSEL(ADDDATA) ;Let the user select the address information they want.
  N ADDLIST,LIST
- S ADDLIST("A",1)=" 1 - CURRENT ADDRESS",DATA(SUB,1,1)="STREET ADDRESS #1"_U_1
- S DATA(SUB,1,2)="STREET ADDRESS #2"_U_1,DATA(SUB,1,3)="STREET ADDRESS #3"_U_1
- S DATA(SUB,1,4)="CITY"_U_1,DATA(SUB,1,5)="STATE"_U_2,DATA(SUB,1,6)="ZIP"_U_1
- S DATA(SUB,1,7)="COUNTY"_U_2
- S ADDLIST("A",2)=" 2 - PHONE NUMBER",DATA(SUB,2,8)="PHONE NUMBER"_U_1
+ S ADDLIST("A",1)=" 1 - CURRENT ADDRESS",ADDDATA(1,1)="STREET ADDRESS #1"_U_1
+ S ADDDATA(1,2)="STREET ADDRESS #2"_U_1,ADDDATA(1,3)="STREET ADDRESS #3"_U_1
+ S ADDDATA(1,4)="CITY"_U_1,ADDDATA(1,5)="STATE"_U_2,ADDDATA(1,6)="ZIP"_U_1
+ S ADDDATA(1,7)="COUNTY"_U_2
+ S ADDLIST("A",2)=" 2 - PHONE NUMBER",ADDDATA(2,8)="PHONE NUMBER"_U_1
  S ADDLIST("A")="Enter your selection(s)"
  S ADDLIST("?")="^D HELP^PXRMPDRS"
@@ -14,6 +14,6 @@
  S LIST=$$SEL^PXRMPDRS(.ADDLIST,2)
  I $D(DTOUT)!$D(DUOUT) Q
- S DATA(SUB)=LIST
- S DATA(SUB,"LEN")=$L(LIST,",")-1
+ S ADDDATA=LIST
+ S ADDDATA("LEN")=$L(LIST,",")-1
  Q
  ;
@@ -44,5 +44,5 @@
  Q
  ;
-APPSEL(DATA,SUB) ;Let the user select the appointment information they want.
+APPSEL(APPDATA) ;Let the user select the appointment information they want.
  ;The first subscript of APPDATA is the selection number and the
  ;the second subscript is the subscript where the data is returned
@@ -50,6 +50,6 @@
  ;second piece is the piece of VAPA this is displayed.
  N APPLIST,LIST,MAX
- S APPLIST("A",1)=" 1 - APPOINTMENT DATE",DATA(SUB,1,1)="APPOINTMENT DATE"_U_1
- S APPLIST("A",2)=" 2 - CLINIC",DATA(SUB,2,2)="CLINIC"_U_2
+ S APPLIST("A",1)=" 1 - APPOINTMENT DATE",APPDATA(1,1)="APPOINTMENT DATE"_U_1
+ S APPLIST("A",2)=" 2 - CLINIC",APPDATA(2,2)="CLINIC"_U_2
  S APPLIST("A")="Enter your selection(s)"
  S APPLIST("?")="^D HELP^PXRMPDRS"
@@ -57,11 +57,11 @@
  S LIST=$$SEL^PXRMPDRS(.APPLIST,2)
  I $D(DTOUT)!$D(DUOUT) Q
- S DATA(SUB)=LIST
- S DATA(SUB,"LEN")=$L(LIST,",")-1
- I DATA(SUB,"LEN")=0 Q
- S DATA(SUB,"MAX")=$$ASKNUM^PXRMEUT("Maximum number of appointments to display",1,25)
+ S APPDATA=LIST
+ S APPDATA("LEN")=$L(LIST,",")-1
+ I APPDATA("LEN")=0 Q
+ S APPDATA("MAX")=$$ASKNUM^PXRMEUT("Maximum number of appointments to display",1,25)
  Q
  ;
-DATASEL(LISTIEN,DATA,SUB) ; Build a list of data that is availble for
+DATASEL(LISTIEN,FINDDATA) ; Build a list of data that is availble for
  ;this patient list and let the user select what they want.
  N IND,DATALIST,DTYPE
@@ -69,7 +69,7 @@
  F  S DTYPE=$O(^PXRMXP(810.5,LISTIEN,35,"B",DTYPE)) Q:DTYPE=""  D
  . S IND=IND+1,DATALIST("A",IND)=" "_IND_" - "_DTYPE
- . S DATA(SUB,IND,IND)=DTYPE
+ . S FINDDATA(IND,IND)=DTYPE
  ;If there is no data quit.
- I IND=0 S DATA(SUB,"LEN")=0 Q
+ I IND=0 S FINDDATA("LEN")=0 Q
  S DATALIST("A")="Enter your selections(s)"
  S DATALIST("?")="^D HELP^PXRMPDRS"
@@ -77,25 +77,25 @@
  S LIST=$$SEL^PXRMPDRS(.DATALIST,IND)
  I $D(DTOUT)!$D(DUOUT) Q
- S DATA(SUB)=LIST
- S DATA(SUB,"LEN")=$L(LIST,",")-1
+ S FINDDATA=LIST
+ S FINDDATA("LEN")=$L(LIST,",")-1
  Q
  ;
-DEMSEL(DATA,SUB) ;Let the user select the demographic information they want.
- ;The first subscript of DATA is the selection number and the
+DEMSEL(DEMDATA) ;Let the user select the demographic information they want.
+ ;The first subscript of DEMDATA is the selection number and the
  ;the second subscript is the subscript where the data is returned
  ;in VADM. The first piece of DEMDATA is the name of the data and the
  ;second piece is the piece of VADM this is displayed.
  N DEMLIST,DTOUT,DUOUT,IND,ITEM,JND,KND,LIST,TEMP
- S DEMLIST("A",1)=" 1 - SSN",DATA(SUB,1,2)="SSN"_U_2
- S DEMLIST("A",2)=" 2 - DATE OF BIRTH",DATA(SUB,2,3)="DOB"_U_2
- S DEMLIST("A",3)=" 3 - AGE",DATA(SUB,3,4)="AGE"_U_1
- S DEMLIST("A",4)=" 4 - SEX",DATA(SUB,4,5)="SEX"_U_2
- S DEMLIST("A",5)=" 5 - DATE OF DEATH",DATA(SUB,5,6)="DOD"_U_2
- S DEMLIST("A",6)=" 6 - REMARKS",DATA(SUB,6,7)="REMARKS"_U_1
- S DEMLIST("A",7)=" 7 - HISTORIC RACE",DATA(SUB,7,8)="HISTORIC RACE"_U_2
- S DEMLIST("A",8)=" 8 - RELIGION",DATA(SUB,8,9)="RELIGION"_U_2
- S DEMLIST("A",9)=" 9 - MARITAL STATUS",DATA(SUB,9,10)="MARTIAL STATUS"_U_2
- S DEMLIST("A",10)="10 - ETHNICITY",DATA(SUB,10,11)="ETHNICITY"_U_2
- S DEMLIST("A",11)="11 - RACE",DATA(SUB,11,12)="RACE"_U_2
+ S DEMLIST("A",1)=" 1 - SSN",DEMDATA(1,2)="SSN"_U_2
+ S DEMLIST("A",2)=" 2 - DATE OF BIRTH",DEMDATA(2,3)="DOB"_U_2
+ S DEMLIST("A",3)=" 3 - AGE",DEMDATA(3,4)="AGE"_U_1
+ S DEMLIST("A",4)=" 4 - SEX",DEMDATA(4,5)="SEX"_U_2
+ S DEMLIST("A",5)=" 5 - DATE OF DEATH",DEMDATA(5,6)="DOD"_U_2
+ S DEMLIST("A",6)=" 6 - REMARKS",DEMDATA(6,7)="REMARKS"_U_1
+ S DEMLIST("A",7)=" 7 - HISTORIC RACE",DEMDATA(7,8)="HISTORIC RACE"_U_2
+ S DEMLIST("A",8)=" 8 - RELIGION",DEMDATA(8,9)="RELIGION"_U_2
+ S DEMLIST("A",9)=" 9 - MARITAL STATUS",DEMDATA(9,10)="MARTIAL STATUS"_U_2
+ S DEMLIST("A",10)="10 - ETHNICITY",DEMDATA(10,11)="ETHNICITY"_U_2
+ S DEMLIST("A",11)="11 - RACE",DEMDATA(11,12)="RACE"_U_2
  S DEMLIST("A")="Enter your selection(s)"
  S DEMLIST("?")="^D HELP^PXRMPDRS"
@@ -103,21 +103,21 @@
  S LIST=$$SEL^PXRMPDRS(.DEMLIST,11)
  I $D(DTOUT)!$D(DUOUT) Q
- S DATA(SUB)=LIST
- S DATA(SUB,"LEN")=$L(LIST,",")-1
- F IND=1:1:DATA(SUB,"LEN") D
+ S DEMDATA=LIST
+ S DEMDATA("LEN")=$L(LIST,",")-1
+ F IND=1:1:DEMDATA("LEN") D
  . S JND=$P(LIST,",",IND)
- . S KND=$O(DATA(SUB,JND,""))
- . S TEMP=$P(DATA(SUB,JND,KND),U,1)
+ . S KND=$O(DEMDATA(JND,""))
+ . S TEMP=$P(DEMDATA(JND,KND),U,1)
  . I TEMP="SSN" D
  .. N FULLSSN
  .. D SSN^PXRMXSD(.FULLSSN)
- .. S DATA(SUB,"FULLSSN")=$S($G(FULLSSN)="Y":1,1:0)
- . I $D(DTOUT)!$D(DUOUT) S IND=DATA(SUB,"LEN")+1 Q
- . I TEMP="ETHNICITY" S $P(DATA(SUB,10,11),U,3)=$$ASKNUM^PXRMEUT("Maximum number of ethnicity entries to display",1,10)
- . I TEMP="RACE" S $P(DATA(SUB,11,12),U,3)=$$ASKNUM^PXRMEUT("Maximum number of race entries to display",1,10)
+ .. S DEMDATA("FULLSSN")=$S($G(FULLSSN)="Y":1,1:0)
+ . I $D(DTOUT)!$D(DUOUT) S IND=DEMDATA("LEN")+1 Q
+ . I TEMP="ETHNICITY" S $P(DEMDATA(10,11),U,3)=$$ASKNUM^PXRMEUT("Maximum number of ethnicity entries to display",1,10)
+ . I TEMP="RACE" S $P(DEMDATA(11,12),U,3)=$$ASKNUM^PXRMEUT("Maximum number of race entries to display",1,10)
  I $D(DTOUT)!$D(DUOUT) K DTOUT,DUOUT G DSEL
  Q
  ;
-ELIGSEL(DATA,SUB) ;Let the user select the eligibility data they want.
+ELIGSEL(ELIGDATA) ;Let the user select the eligibility data they want.
  ;The first subscript of ELIGDATA is the selection number and the
  ;the second subscript is the subscript where the data is returned
@@ -125,11 +125,11 @@
  ;second piece is the piece of VAEL this is displayed.
  N ELIGLIST,ITEM,LIST
- S ELIGLIST("A",1)=" 1 - PRIMARY ELGIBILITY CODE",DATA(SUB,1,1)="PRIMARY ELGIBILITY CODE"_U_2
- S ELIGLIST("A",2)=" 2 - PERIOD OF SERVICE",DATA(SUB,2,2)="PERIOD OF SERVICE"_U_2
- S ELIGLIST("A",3)=" 3 - % SERVICE CONNECTED",DATA(SUB,3,3)="% SERVICE CONNECTED"_U_2
- S ELIGLIST("A",4)=" 4 - VETERAN",DATA(SUB,4,4)="VETERAN"_U_1
- S ELIGLIST("A",5)=" 5 - TYPE",DATA(SUB,5,6)="TYPE"_U_2
- S ELIGLIST("A",6)=" 6 - ELIGIBILITY STATUS",DATA(SUB,6,8)="ELIGIBILITY STATUS"_U_2
- S ELIGLIST("A",7)=" 7 - CURRENT MEANS TEST",DATA(SUB,7,9)="CURRENT MEANS TEST"_U_2
+ S ELIGLIST("A",1)=" 1 - PRIMARY ELGIBILITY CODE",ELIGDATA(1,1)="PRIMARY ELGIBILITY CODE"_U_2
+ S ELIGLIST("A",2)=" 2 - PERIOD OF SERVICE",ELIGDATA(2,2)="PERIOD OF SERVICE"_U_2
+ S ELIGLIST("A",3)=" 3 - % SERVICE CONNECTED",ELIGDATA(3,3)="% SERVICE CONNECTED"_U_2
+ S ELIGLIST("A",4)=" 4 - VETERAN",ELIGDATA(4,4)="VETERAN"_U_1
+ S ELIGLIST("A",5)=" 5 - TYPE",ELIGDATA(5,6)="TYPE"_U_2
+ S ELIGLIST("A",6)=" 6 - ELIGIBILITY STATUS",ELIGDATA(6,8)="ELIGIBILITY STATUS"_U_2
+ S ELIGLIST("A",7)=" 7 - CURRENT MEANS TEST",ELIGDATA(7,9)="CURRENT MEANS TEST"_U_2
  S ELIGLIST("A")="Enter your selection(s)"
  S ELIGLIST("?")="^D HELP^PXRMPDRS"
@@ -137,6 +137,6 @@
  S LIST=$$SEL^PXRMPDRS(.ELIGLIST,7)
  I $D(DTOUT)!$D(DUOUT) Q
- S DATA(SUB)=LIST
- S DATA(SUB,"LEN")=$L(LIST,",")-1
+ S ELIGDATA=LIST
+ S ELIGDATA("LEN")=$L(LIST,",")-1
  Q
  ;
@@ -147,5 +147,5 @@
  Q
  ;
-INPSEL(DATA,SUB) ;Let the user select the inpatient information they want.
+INPSEL(INPDATA) ;Let the user select the inpatient information they want.
  ;The first subscript of INPDATA is the selection number and the
  ;the second subscript is the subscript where the data is returned
@@ -153,8 +153,8 @@
  ;second piece is the piece of VAIN this is displayed.
  N INPLIST,ITEM,LIST
- S INPLIST("A",1)=" 1 - WARD LOCATION",DATA(SUB,1,4)="WARD"_U_2
- S INPLIST("A",2)=" 2 - ROOM-BED",DATA(SUB,2,5)="ROOM-BED"_U_1
- S INPLIST("A",3)=" 3 - ADMISSION DATE/TIME",DATA(SUB,3,7)="ADMISSION DATE/TIME"_U_2
- S INPLIST("A",4)=" 4 - ATTENDING PHYSICIAN",DATA(SUB,4,11)="ATTENDING"_U_2
+ S INPLIST("A",1)=" 1 - WARD LOCATION",INPDATA(1,4)="WARD"_U_2
+ S INPLIST("A",2)=" 2 - ROOM-BED",INPDATA(2,5)="ROOM-BED"_U_1
+ S INPLIST("A",3)=" 3 - ADMISSION DATE/TIME",INPDATA(3,7)="ADMISSION DATE/TIME"_U_2
+ S INPLIST("A",4)=" 4 - ATTENDING PHYSICIAN",INPDATA(4,11)="ATTENDING"_U_2
  S INPLIST("A")="Enter your selection(s)"
  S INPLIST("?")="^D HELP^PXRMPDRS"
@@ -162,11 +162,11 @@
  S LIST=$$SEL^PXRMPDRS(.INPLIST,5)
  I $D(DTOUT)!$D(DUOUT) Q
- S DATA(SUB)=LIST
- S DATA(SUB,"LEN")=$L(LIST,",")-1
+ S INPDATA=LIST
+ S INPDATA("LEN")=$L(LIST,",")-1
  Q
  ;
-REMSEL(PLIEN,DATA,SUB) ;If the list was generated from a reminder report
+REMSEL(PLIEN,REMDATA) ;If the list was generated from a reminder report
  ;let the user select the reminder data they want.
- I '$P(^PXRMXP(810.5,PLIEN,0),U,9) S DATA(SUB,"LEN")=0 Q
+ I '$P(^PXRMXP(810.5,PLIEN,0),U,9) S REMDATA("LEN")=0 Q
  N IEN,IND,REMLIST,RNAME
  S (IEN,IND)=0
@@ -175,6 +175,6 @@
  . I RNAME="" S RNAME=$P(^PXD(811.9,IEN,0),U,1)
  . S IND=IND+1
- . S DATA(SUB,"RNAME",IND)=RNAME
- . S DATA(SUB,"IEN",IND)=IEN
+ . S REMDATA("RNAME",IND)=RNAME
+ . S REMDATA("IEN",IND)=IEN
  . S REMLIST("A",IND)=" "_IND_" - "_RNAME
  S REMLIST("A")="Enter your selection(s)"
@@ -183,6 +183,6 @@
  S LIST=$$SEL^PXRMPDRS(.REMLIST,IND)
  I $D(DTOUT)!$D(DUOUT) Q
- S DATA(SUB)=LIST
- S DATA(SUB,"LEN")=$L(LIST,",")-1
+ S REMDATA=LIST
+ S REMDATA("LEN")=$L(LIST,",")-1
  Q
  ;
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMPLST.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMPLST.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMPLST.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMPLST ; SLC/PKR - Build a patient list from a reminder definition. ;01/24/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMPLST ; SLC/PKR - Build a patient list from a reminder definition. ;06/09/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;Input  :  RIEN     - Reminder IEN
@@ -7,9 +7,10 @@
  ;          PXRMDATE - Evaluation date
  ;===================================================
-BLDPLST(DEFARR,PLIST,DFNONLY) ;
- N DFN,DOBE,DOBS,ELE,ERROR,ERRSTR,IND,FNUM
+BLDPLST(RIEN,PLIST,DFNONLY,PXRMDATE) ;
+ N DEFARR,DFN,DOBE,DOBS,ELE,ERROR,ERRSTR,IND,FNUM
  N LIST1,LIST2,LNAME,LSP,LSTACK
  N NDR,NOT,OPER,PCLOG,PFSTACK,SEX,TYPE
  ;
+ D DEF^PXRMLDR(RIEN,.DEFARR)
  ;Get the cohort logic string. This has passed a validation before
  ;it can be selected for building patient lists so we don't need to
@@ -229,5 +230,5 @@
  N DFN,DS,IND,SEXOK
  F IND=1:1:NDR D
- . S DS=DOBS(IND)-.000001
+ . S DS=DOBS(IND)-.1
  . F  S DS=$O(^DPT("ADOB",DS)) Q:(DS>DOBE(IND))!(DS="")  D
  .. S DFN=""
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMPTD2.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMPTD2.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMPTD2.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMPTD2 ; SLC/PKR/PJH - Reminder Inquiry print template routines.;03/06/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMPTD2 ; SLC/PKR/PJH - Reminder Inquiry print template routines.;10/07/2005
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;================================================
 DATE(FIND0,PIECE,FLDNUM,TITLE,RJC,PAD,FILENUM,FLG) ;Standard DATE
@@ -6,5 +6,5 @@
  S DATE=$P($G(FIND0),U,PIECE)
  I DATE'="" D
- .S DATE=$$FMTE^XLFDT(DATE,"5Z"),X=$$RJ^XLFSTR(TITLE,RJC,PAD),X=X_" "_DATE
+ .S DATE=$$FMTE^XLFDT(DATE,"D"),X=$$RJ^XLFSTR(TITLE,RJC,PAD),X=X_" "_DATE
  .D ^DIWP
  Q
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMPTDF.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMPTDF.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMPTDF.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMPTDF ; SLC/PKR/PJH - Reminder Inquiry print template routines. ;06/07/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMPTDF ; SLC/PKR/PJH - Reminder Inquiry print template routines. ;01/30/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;================================================
@@ -81,5 +81,5 @@
  .D SFDISP(FIND0,1,14,"Condition:",RJC,PAD,FILENUM)
  .D SFDISP(FIND0,2,15,"Condition Case Sensitive:",RJC,PAD,FILENUM)
- .D SFDISP(FIND0,3,18,"Use Status/Cond in Search:",RJC,PAD,FILENUM)
+ .D SFDISP(FIND0,3,18,"Use Cond in Finding Search:",RJC,PAD,FILENUM)
  .I $G(^PXD(811.9,D0,20,FINDING,15))'="" D 
  ..S X=$$RJ^XLFSTR("Computed Finding Parameter:",RJC,PAD)
@@ -173,5 +173,5 @@
  .D SFDISP(TERM3,1,14,"Condition:",RJT,PAD,TERMNUM,1)
  .D SFDISP(TERM3,2,15,"Condition Case Sensitive:",RJT,PAD,TERMNUM)
- .D SFDISP(TERM3,3,18,"Use Status/Cond in Search:",RJT,PAD,TERMNUM)
+ .D SFDISP(TERM3,3,18,"Use Cond in Finding Search:",RJT,PAD,TERMNUM)
  .I $G(^PXRMD(811.5,IEN1,20,TERMS,15))'="" D 
  ..S X=$$RJ^XLFSTR("Computed Finding Parameter:",RJT,PAD)
@@ -215,16 +215,6 @@
  .S X=$$RJ^XLFSTR(TITLE,RJC,PAD)
  .S X=X_" "_$$EXTERNAL^DILFD(FILENUM,FLDNUM,"",FIELD,"")
- .I FLDNUM=13 S X=X_" - "_$$SPECIAL(FIND0,FIELD)
- .D ^DIWP
- Q
- ;
- ;================================================
-SPECIAL(FIND0,FIELD) ;Special output for certain fields.
- N FINDING,GLOBAL,IEN
- S FINDING=$P(FIND0,U,1)
- S IEN=$P(FINDING,";",1)
- S GLOBAL=$P(FINDING,";",2)
- I GLOBAL="YTT(601.71," Q $$SCNAME^PXRMMH(IEN,FIELD)
- Q ""
+ .D ^DIWP
+ Q
  ;
  ;================================================
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMPTTR.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMPTTR.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMPTTR.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMPTTR ;SLC/PKR - Routines for term print templates ;06/01/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMPTTR ;SLC/PKR - Routines for term print templates ;01/30/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;====================================================
@@ -88,5 +88,5 @@
  . D SFDISP(FIND0,1,14,"Condition:",RJC,PAD)
  . D SFDISP(FIND0,2,15,"Condition Case Sensitive:",RJC,PAD)
- . D SFDISP(FIND0,3,18,"Use Status/Cond in Search:",RJC,PAD)
+ . D SFDISP(FIND0,3,18,"Use Cond in Finding Search:",RJC,PAD)
  . I $G(^PXRMD(811.5,D0,20,FINDING,15))'="" D
  .. S CFP=$$RJ^XLFSTR("Computed Finding Parameter:",RJC,PAD)
@@ -103,5 +103,4 @@
  . S TEXT=$$RJ^XLFSTR(TITLE,RJC,PAD)
  . S TEXT=TEXT_"  "_$$EXTERNAL^DILFD(811.52,FLDNUM,"",FIELD,"")
- . I FLDNUM=13 S TEXT=TEXT_" - "_$$SPECIAL^PXRMPTDF(FIND0,FIELD)
  . W !,TEXT
  Q
